using System;
using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace PARR.DAL.Migrations
{
    /// <inheritdoc />
    public partial class tblUnitsInTemplateAddUnitFieldValueIdUnsetDefault : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AlterColumn<Guid>(
                name: "UnitFieldValueId",
                schema: "job",
                table: "UnitsInTemplates",
                type: "uuid",
                nullable: false,
                oldClrType: typeof(Guid),
                oldType: "uuid",
                oldDefaultValue: new Guid("d6485475-d4c5-47f0-a48f-b364a6321cc4"));

            migrationBuilder.AlterColumn<Guid>(
                name: "JobId",
                schema: "public",
                table: "Templates",
                type: "uuid",
                nullable: false,
                oldClrType: typeof(Guid),
                oldType: "uuid",
                oldDefaultValue: new Guid("ba05948b-b040-48cc-ab77-0accc9c223a0"));

            migrationBuilder.AlterColumn<Guid>(
                 name: "UnitId",
                 schema: "public",
                 table: "Templates",
                 type: "uuid",
                 nullable: false,
                 oldClrType: typeof(Guid),
                 oldType: "uuid",
                 oldDefaultValue: new Guid("b4dfd71a-2b2f-414f-8409-4b9abd9c4d2c"));
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AlterColumn<Guid>(
                name: "UnitFieldValueId",
                schema: "job",
                table: "UnitsInTemplates",
                type: "uuid",
                nullable: false,
                defaultValue: new Guid("d6485475-d4c5-47f0-a48f-b364a6321cc4"),
                oldClrType: typeof(Guid),
                oldType: "uuid");
        }
    }
}
